<?php

declare(strict_types=1);

namespace KupShop\GraphQLBundle\ApiAdmin\Types\Dropshipment\Response;

use KupShop\GraphQLBundle\ApiAdmin\Types\Dropshipment\Dropshipment;
use KupShop\GraphQLBundle\ApiAdmin\Types\MutateResponse;
use TheCodingMachine\GraphQLite\Annotations\Field;
use TheCodingMachine\GraphQLite\Annotations\Type;

#[Type]
class DropshipmentMutateResponse extends MutateResponse
{
    public function __construct(bool $result, private Dropshipment $dropshipment)
    {
        parent::__construct($result);
    }

    #[Field(description: 'Aktualizovaný dropshipment.')]
    public function getDropshipment(): Dropshipment
    {
        return $this->dropshipment;
    }
}
